Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.aspose.barcode
Class Symbology

    java.lang.Object
      com.aspose.barcode.Symbology

    public class Symbology

extends java.lang.Object

Type of barcode specification

Field Summary
`static long` | `AustraliaPost` Australia Post BarCode
`static long` | `AZTEC` Aztec type of barcode
`static long` | `BOOKLANDEAN` Bookland EAN type of barcode
`static long` | `CODABAR` Codarbar type of barcode.
`static long` | `CODE11` Code11 type of barcode.
`static long` | `CODE128` Code128 type of barcode
`static long` | `CODE39EXTENDED` Code 39 extended type of barcode
`static long` | `CODE39STANDARD` Code 39 standard type of barcode
`static long` | `CODE93EXTENDED` Code 93 extended type of barcode
`static long` | `CODE93STANDARD` Code 93 standard type of barcode
`static long` | `DATAMATRIX` DataMatrix type of barcode
`static long` | `DeutschePostIdentcode` Represents DeutschePost IdentCode barcode
`static long` | `EAN128` EAN128 type of barcode
`static long` | `EAN13` EAN13 type of barcode
`static long` | `EAN14` EAN14 (SCC14) type of barcode
`static long` | `EAN8` Ean8 type of barcode
`static long` | `INTERLEAVED2OF5` Interleaved 2 of 5 type of barcode
`static long` | `ITF14` ITF14 type of barcode
`static long` | `MACROPDF417` MacroPDF417 type of barcode
`static long` | `Matrix2of5` Represents Matrix 2 of 5 BarCode
`static long` | `MSI` MSI type of barcode
`static long` | `ONECODE` USPS OneCode type of barcode
`static long` | `PDF417` PDF417 type of barcode
`static long` | `PLANET` Planet type of barcode
`static long` | `POSTNET` Postnet type of barcode
`static long` | `PZN` Represents PZN barcode.This Symbology is also known as Pharma Zentral Nummer,Pharmazentralnummer
`static long` | `QR` QR type of barcode
`static long` | `SSCC18` SSCC18 type of barcode
`static long` | `STANDARD2OF5` Standard 2 of 5 type of barcode
`static long` | `UPCA` UPCA type of barcode
`static long` | `UPCE` UPCE type of barcode

Constructor Summary
`Symbology()` This class serves the purpose of hosting constants, never meant to be initiated.

Method Summary
`static long` | `parse(java.lang.String name)` Parse the symbology long value from given name

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CODABAR

    public static final long CODABAR

  Codarbar type of barcode.

  See Also:
    Constant Field Values

### CODE11

    public static final long CODE11

  Code11 type of barcode.

  See Also:
    Constant Field Values

### CODE128

    public static final long CODE128

  Code128 type of barcode

  See Also:
    Constant Field Values

### DATAMATRIX

    public static final long DATAMATRIX

  DataMatrix type of barcode

  See Also:
    Constant Field Values

### EAN13

    public static final long EAN13

  EAN13 type of barcode

  See Also:
    Constant Field Values

### EAN8

    public static final long EAN8

  Ean8 type of barcode

  See Also:
    Constant Field Values

### INTERLEAVED2OF5

    public static final long INTERLEAVED2OF5

  Interleaved 2 of 5 type of barcode

  See Also:
    Constant Field Values

### ITF14

    public static final long ITF14

  ITF14 type of barcode

  See Also:
    Constant Field Values

### PDF417

    public static final long PDF417

  PDF417 type of barcode

  See Also:
    Constant Field Values

### PLANET

    public static final long PLANET

  Planet type of barcode

  See Also:
    Constant Field Values

### QR

    public static final long QR

  QR type of barcode

  See Also:
    Constant Field Values

### POSTNET

    public static final long POSTNET

  Postnet type of barcode

  See Also:
    Constant Field Values

### UPCA

    public static final long UPCA

  UPCA type of barcode

  See Also:
    Constant Field Values

### UPCE

    public static final long UPCE

  UPCE type of barcode

  See Also:
    Constant Field Values

### CODE39STANDARD

    public static final long CODE39STANDARD

  Code 39 standard type of barcode

  See Also:
    Constant Field Values

### CODE39EXTENDED

    public static final long CODE39EXTENDED

  Code 39 extended type of barcode

  See Also:
    Constant Field Values

### CODE93STANDARD

    public static final long CODE93STANDARD

  Code 93 standard type of barcode

  See Also:
    Constant Field Values

### CODE93EXTENDED

    public static final long CODE93EXTENDED

  Code 93 extended type of barcode

  See Also:
    Constant Field Values

### MSI

    public static final long MSI

  MSI type of barcode

  See Also:
    Constant Field Values

### STANDARD2OF5

    public static final long STANDARD2OF5

  Standard 2 of 5 type of barcode

  See Also:
    Constant Field Values

### BOOKLANDEAN

    public static final long BOOKLANDEAN

  Bookland EAN type of barcode

  See Also:
    Constant Field Values

### EAN128

    public static final long EAN128

  EAN128 type of barcode

  See Also:
    Constant Field Values

### EAN14

    public static final long EAN14

  EAN14 (SCC14) type of barcode

  See Also:
    Constant Field Values

### SSCC18

    public static final long SSCC18

  SSCC18 type of barcode

  See Also:
    Constant Field Values

### AZTEC

    public static final long AZTEC

  Aztec type of barcode

  See Also:
    Constant Field Values

### MACROPDF417

    public static final long MACROPDF417

  MacroPDF417 type of barcode

  See Also:
    Constant Field Values

### ONECODE

    public static final long ONECODE

  USPS OneCode type of barcode

  See Also:
    Constant Field Values

### AustraliaPost

    public static final long AustraliaPost

  Australia Post BarCode

  See Also:
    Constant Field Values

### Matrix2of5

    public static final long Matrix2of5

  Represents Matrix 2 of 5 BarCode

  See Also:
    Constant Field Values

### DeutschePostIdentcode

    public static final long DeutschePostIdentcode

  Represents DeutschePost IdentCode barcode

  See Also:
    Constant Field Values

### PZN

    public static final long PZN

  Represents PZN barcode.This Symbology is also known as Pharma Zentral Nummer,Pharmazentralnummer

  See Also:
    Constant Field Values

Constructor Detail

### Symbology

    public Symbology()

  This class serves the purpose of hosting constants, never meant to be initiated.

Method Detail

### parse

    public static long parse(java.lang.String name)

  Parse the symbology long value from given name

  Parameters:
    `name` - symbology name
  Returns:
    the long value
  Throws:
    `BarCodeException` - if the name is not valid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD